rbdoom3bfg (1.4.0+dfsg-5ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build failure on ppc64el with -O3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 14:28:03 +0100

rbdoom3bfg (1.4.0+dfsg-5) unstable; urgency=medium

  * d/rbdoom3bfg.desktop: use game-data-packager's launcher
  * d/control: recommends game-data-packager-runtime
  * update S-V to 4.7.2 -- no changes required.

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 12 Mar 2025 14:13:55 +0100

rbdoom3bfg (1.4.0+dfsg-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build failure on ppc64el with -O3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 20:27:16 +0100

rbdoom3bfg (1.4.0+dfsg-4) unstable; urgency=medium

  * Adopt package and set Maintainer to Debian Games Team (Closes: #1035299)
  * Install a desktop file in /usr/share/applications
  * Add d/p/spelling.patch to correct spelling errors spotted by Lintian

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 06 Nov 2024 13:59:36 +0100

rbdoom3bfg (1.4.0+dfsg-3ubuntu1) oracular; urgency=medium

  * Fix build failure on ppc64el with -O3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 20:14:06 +0200

rbdoom3bfg (1.4.0+dfsg-3) unstable; urgency=medium

  * Set Maintainer to the QA Group.
  * Fix building with ffmpeg 7.0 (Closes: #1072448)
  * Set minimum version of rapidjson due to #1074897.

 -- Tobias Frost <tobi@debian.org>  Mon, 29 Jul 2024 10:28:10 +0200

rbdoom3bfg (1.4.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Avoid including ../../imgui/imgui.h. (Closes: #1028279)

  [ Tobias Frost ]
  * Update copyright years.
  * Bump to SV 4.6.2 -- no changed.

 -- Tobias Frost <tobi@debian.org>  Thu, 19 Jan 2023 15:33:57 +0100

rbdoom3bfg (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Remove bundled imgui and use Debian packaged one instead.
    - Refresh patch.
    - It is compatible with ffmpeg 5.0. (Closes: #1004574)
  * Update/Review d/copyright.
  * New patch to utilize packaged imgui.
  * d/control: Remove no longer needed versions from constraints.

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2022 11:15:37 +0200

rbdoom3bfg (1.3.0+dfsg-2) unstable; urgency=medium

  * Fix build on i386: Upstream renamed the cmake option to disable
    CPU optimizations which are above the i386 baseline in Debian.

 -- Tobias Frost <tobi@debian.org>  Mon, 24 Jan 2022 14:16:26 +0100

rbdoom3bfg (1.3.0+dfsg-1) unstable; urgency=medium

  * Retire d/README.source, the information within was outdated
    regarding getting the source: Noweedays a simple uscan will cut it.
  * Update watch file to track the release upstream has made we are
    preparing.
  * Refresh patch 10-lowercase-executable.patch.
  * Review/Update d/copyright.
  * Update lintian overrides.
  * Update S-V to 4.6.0 -- no changes required.
  * Update d/upstream/metadata.

 -- Tobias Frost <tobi@debian.org>  Mon, 24 Jan 2022 13:29:10 +0100

rbdoom3bfg (1.2.0+dfsg~git20210105-1) unstable; urgency=low

  [ Tobias Frost ]
  * Disable repotest on salsa-CI.
  * New upstream git snapshot.
  * Refresh debian/patches/10-lowercase-executable.patch
  * Remove 20-fix-imgui-include.patch, applied upstream.
  * Add lintian override license-problem-json-evil, it is only quoted in a
    in a document but the library has been removed with the dfsg repacking.
  * Bump S-V to 4.5.1, no changes.
  * Update d/copyright years.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Tobias Frost <tobi@debian.org>  Wed, 03 Feb 2021 17:58:24 +0100

rbdoom3bfg (1.2.0+dfsg~git20200817-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Refresh 10-lowercase-executable.patch
  * Add patch to fix FTBFS with relative include path.
  * lintian-overides: Use wildcard to stop complains about spelling errors.

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Aug 2020 15:54:05 +0200

rbdoom3bfg (1.2.0+dfsg~git20200619-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Drop patches 40-libpng16.patch and 50-fix-imgui-includepath.patch;
      they have been applied upstream.
    - Refresh patch 10-lowercase-executable.patch.
  * Make (pedantic) lintian a bit happier
    - s/VCS/Vcs in d/control.
    - remove --as-needed from linker flags in d/rules.
    - ignore one more spelling error.
  * Use debhelper compat level 13.
  * Fix "rbdoom3bfg FTCBFS: confuses build and host", thanks to Helmut for
    the patch. (Closes: #962428)

 -- Tobias Frost <tobi@debian.org>  Sun, 05 Jul 2020 19:45:53 +0200

rbdoom3bfg (1.2.0+dfsg~git20200327-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Updating patches:
      - Refresh 10-lowercase-executable.patch.
      - Remove 20-reproducible.patch, should no longer be needed.
      - Refresh 40-libpng16.patch.
      - Remove 60-spelling-errors.patch, upstream will never accept it and it
        starts to become a burden.
      - Remove 90-fix-include-path.patch, applied upstream.
      - Remove 100-fix-sdl2-detection.patch, applied upstream.
      - New patch 50-fix-imgui-includepath.patch, otherwise it will fail to
        compile.
  * Upstream moved around some docs, adapting d/docs, d/install and d/rules
    accordingly.
  * Update SV, no changes.

 -- Tobias Frost <tobi@debian.org>  Tue, 31 Mar 2020 11:27:50 +0200

rbdoom3bfg (1.2.0+dfsg~git20191014-2) unstable; urgency=medium

  * Do not use the packaged FindSDL2 package. Closes: #951976
    - New patch 100-fix-sdl2-detection.patch
    - B-D on libsdl-dev (>= 2.0.4) to mitigate #951087.
    Many thanks Simon McVittie for hinting into the right direction.

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Feb 2020 17:21:40 +0100

rbdoom3bfg (1.2.0+dfsg~git20191014-1) unstable; urgency=medium

  * New upstream release, upstream versioned it as 1.2.0-preview1.
  * Refresh patches as needed to remove fuzz.
  * New patch 90-fix-include-path to fix FTBFS with new upstream source.
  * Fix new typo found by lintian in the spelling error patch.
  * Delete 30-init-sdl2.patch, unapplied since a few versions.
  * Drop 70-disable-hdr-by-default.patch, underlaying issue has been
    fixed upstream.
  * Bump S-V to 4.4.1 -- no changes required except specifying
    rules-requires-root=no.
  * Drop d/compat in favour of debhelper-compat (=12) as B-D.

 -- Tobias Frost <tobi@debian.org>  Tue, 15 Oct 2019 20:30:51 +0200

rbdoom3bfg (1.2.0+dfsg~git20181013-1) unstable; urgency=medium

  * New upstream git snaphot.
    - Removing applied patches: 50-system-rapidjson and 90-gcc-fix.
    - Refresh patch 10-lowercase-executable.
  * Bump SV to 4.3.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Dec 2018 01:40:24 +0100

rbdoom3bfg (1.2.0+dfsg~git20180605-1) unstable; urgency=medium

  * Imported new upstream git snapshot.
  * Change to version 4 watch file to directly track the upstream git repo.
    This also makes the get-orig-source target in d/rules obsolete.
  * Prepare the watchfile for version 1.2 already, as upstream bumped version
    to 1.2 (but not yet officially released)
  * Add patch for the FTBFS with gcc 8.1 (Closes: ##906558)

 -- Tobias Frost <tobi@debian.org>  Mon, 20 Aug 2018 19:44:17 +0200

rbdoom3bfg (1.1.0~preview3+dfsg+git20180204-1) unstable; urgency=medium

  * New upstreamgit snapshot.
  * Move repository to salsa.d.o.
  * Update d/copyright (new holders, years)
  * Update patch 80-gcc7.fix -- partially applied upstream.
  * Refreshed patch 60-spelling-errors.patch.
  * Fix spelling in 10-lowercase-executable.patch.
  * Add dep3 header to 80-gcc70.patch.
  * Fix spelling error in README.Debian.
  * Update 60-spelling-errors.patch with new finding from lintian.
  * Bump compat to level 11
  * Bump S-V to 4.1.4:
    - copyright format URI changed to https.

 -- Tobias Frost <tobi@debian.org>  Fri, 06 Apr 2018 20:20:14 +0200

rbdoom3bfg (1.1.0~preview3+dfsg+git20161019-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Drop libavcodec-*-dev from B-D-alternatives; they are no longer availavble.
  * New patch 08-gcc70.patch to fix FTBFS with GCC 7 (Closes: #853638)
  * Update debian/copyright years

 -- Tobias Frost <tobi@debian.org>  Mon, 07 Aug 2017 01:08:39 -0400

rbdoom3bfg (1.1.0~preview3+dfsg+git20160807-2) unstable; urgency=medium

  * Disable HDR rendering by default as this can create some graphical
    glitches, especially when used together with SSAO. Done by patch
    70-disable-hdr-by-default.patch

 -- Tobias Frost <tobi@debian.org>  Sat, 15 Oct 2016 17:48:41 +0200

rbdoom3bfg (1.1.0~preview3+dfsg+git20160807-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Refreshed patches to remove fuzz.
    - 70-ffmpeg_2.9.patch is obsolete, upstream fixed issue, so rm from series.
    - 20-reproducible.patch updated to remove one additional __DATE__.
    - Add new files to d/copyright,
      - neo/renderer/SMAA/*: licensed expat
      - neo/libs/irrxml/*: licensed libpng/zlib
    - Switch to dfsg suffix as files removed without source. (docs of rirrxml)
    - those files and rapidjson is removed via d/copyright's Files-Excluded.
  * New patch 90-system-rapidjson.patch to utilize Debian's rapidjson
  * Fix typo in d/README.source -- the var is UPSVER not USVER.
  * Bump S-V -- no changes
  * Change compat level to 10, "--parallel" in d/rules is now default and so
    was dropped.
  * Deleted (long ago) applied upstream patch 70-ffmpeg_2.9.patch
  * Renumbering patches to free up numberspace
  * New patch 60-fix-spelling-errors correcting the errors reported by lintian.
  * d/control Replace non VCS-* with https:// ones

 -- Tobias Frost <tobi@debian.org>  Sat, 15 Oct 2016 11:53:19 +0200

rbdoom3bfg (1.0.3+repack1+git20151124-2) unstable; urgency=medium

  * Mark libpng1.6 patch as forwarded.
  * Change B-D to libpng-dev.

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2016 16:46:38 +0200

rbdoom3bfg (1.0.3+repack1+git20151124-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Fix FTBFS with libpng1.6 (Closes: #809866)

 -- Tobias Frost <tobi@debian.org>  Mon, 25 Jan 2016 21:53:13 +0100

rbdoom3bfg (1.0.3+repack1+git20151103-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Fix "FTBFS with FFmpeg 2.9", using the patch from Andreas Cadhalpun
    (Closes: #803857)
  * Forwarded reproducible patch, noting that in the dep3 header

 -- Tobias Frost <tobi@debian.org>  Tue, 03 Nov 2015 21:39:01 +0100

rbdoom3bfg (1.0.3+repack1+git20150806-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Remove patch 80-disable-cpu-features.patch -- applied upstream
    - Patches refreshed as required.
  * Fix git-get-orig rule: Did not pull the requested date, but always
    the newest version

 -- Tobias Frost <tobi@debian.org>  Sun, 13 Sep 2015 22:21:09 +0200

rbdoom3bfg (1.0.3+repack1+git20150625-1) unstable; urgency=medium

  * New uptream git snapshot.
  * Refreshing/Removing patches:
   - 10-lowercase-executeable.patch refreshed
   - 75-local-no-precompiled-header.patch removed, applied upstream
   - 80-disable-cpu-features.patch refreshed, almost applied upstream completly
   - 82-enable-hurd-kfreebsd.patch removed, applied upstream
  * Work towards reprdoucible builds
  * Fix get-orig-target to produce the right version string

 -- Tobias Frost <tobi@debian.org>  Sat, 11 Jul 2015 09:32:44 +0200

rbdoom3bfg (1.0.3+repack1-5) unstable; urgency=medium

  * Generalized & Forwarded patch 80-disable-cpu-features.patch
  * Modified d/rules to utilize this patch and enable mmx, sse and co on amd64
  * Refactor patch to disable precompiled headers  be upstreamable
  * Add --as-needed to linker flags
  * New patch: Try to compile on hurd and kfreebsd as well

 -- Tobias Frost <tobi@debian.org>  Sun, 21 Jun 2015 17:23:43 +0200

rbdoom3bfg (1.0.3+repack1-4) unstable; urgency=medium

  * Again, patch incomplete. Now also submitting the cpu information.

 -- Tobias Frost <tobi@debian.org>  Sat, 13 Jun 2015 15:48:59 +0200

rbdoom3bfg (1.0.3+repack1-3) unstable; urgency=medium

  * The patch to disable the CPU features was incomplete: We need also to undef
    the usage of intriniscs for all CPU'S except on amd64

 -- Tobias Frost <tobi@debian.org>  Sat, 13 Jun 2015 14:18:36 +0200

rbdoom3bfg (1.0.3+repack1-2) unstable; urgency=medium

  * Add patch to disable using CPU features like sse and mmx.
  * Rename local patch to free up the namespace a little bit.
  * Add the Debian Games Team to Uploaders in d/control

 -- Tobias Frost <tobi@debian.org>  Fri, 12 Jun 2015 18:17:07 +0200

rbdoom3bfg (1.0.3+repack1-1) unstable; urgency=medium

  * Initial release (Closes: #764200)

 -- Tobias Frost <tobi@debian.org>  Wed, 11 Mar 2015 12:52:36 +0100
